com.pixelmed.display.event

## Class FrameSortOrderChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.FrameSortOrderChangeEvent

    public class FrameSortOrderChangeEvent
    extends Event

### Constructor Summary

Constructors
Constructor and Description
`FrameSortOrderChangeEvent(EventContext eventContext, int[] sortOrder, int index)`

### Method Summary

Methods
`int` `getIndex()`
`int[]` `getSortOrder()`
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FrameSortOrderChangeEvent

    public FrameSortOrderChangeEvent(EventContext eventContext,
                             int[] sortOrder,
                             int index)

Parameters:
  `eventContext` -
  `sortOrder` -
  `index` -

### Method Detail

#### getSortOrder

    public int[] getSortOrder()

Returns:
  the current sort order array, which may be null

#### getIndex

    public int getIndex()

Returns:
  the index of the frame selected

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  description of the event